Subject: deposits made
From: "Huron City Museums" <[email-masked]>
To: <[email-masked]>, "Linda at office" <[email-masked]>
Date: Mon, 12 Jul 2004 15:15:31 -0400

Hi - I put 792.90 from the museums into the account today. $42.90 was a check - books I believe. I also put $305 from RLD checks into the account, all of which I have copies of here at the office.

Did you get the packet with the deposit slip from before? I think I forgot to e-mail that one. Also the two checks were used - 1293 and 1294 for Jim Hunter and Bob Finan respectively. They were each for $75 for Pioneer Day speaking fees - comes out of the grant money. Hopefully that packet got there already.

Thanks!
Patty